- Main Page
- Modules
- Namespaces
- Classes
- Files

# baseaudiosrc.h File Reference

`#include <glibmm.h>`
`#include <gst/audio/gstringbuffer.h>`
`#include <gstreamermm/pushsrc.h>`

Go to the source code of this file.

## Namespaces
namespace | Gst
namespace | Glib
## Classes
class | Gst::BaseAudioSrc
| Gst::BaseAudioSrc - Base class for audio sources. More...
## Enumerations
enum | Gst::BaseAudioSrcSlaveMethod { Gst::BASE_AUDIO_SRC_SLAVE_RESAMPLE, Gst::BASE_AUDIO_SRC_SLAVE_RETIMESTAMP, Gst::BASE_AUDIO_SRC_SLAVE_SKEW, Gst::BASE_AUDIO_SRC_SLAVE_NONE }